Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class BindingConfig

    java.lang.Object
      org.apache.xmlbeans.BindingConfig

    public class BindingConfig

extends Object

The BindingConfig class is used during compilation to control the generation of java source files. The default BindingConfig does nothing, but sub-classes should provide more interesting behavior.

See Also:
  `XmlBeans.compileXmlBeans()`

Field Summary
`static int` | `QNAME_ACCESSOR_ATTRIBUTE`
`static int` | `QNAME_ACCESSOR_ELEMENT`
`static int` | `QNAME_DOCUMENT_TYPE`
`static int` | `QNAME_TYPE`

Constructor Summary
`BindingConfig()`

Method Summary
`InterfaceExtension[]` | `getInterfaceExtensions()` Returns all configured InterfaceExtensions or an empty array.
`InterfaceExtension[]` | `getInterfaceExtensions(String fullJavaName)` Returns all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.
`PrePostExtension` | `getPrePostExtension(String fullJavaName)` Returns the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.
`PrePostExtension[]` | `getPrePostExtensions()` Returns all configued PrePostExtensions or an empty array.
`UserType[]` | `getUserTypes()` Returns all defined user types.
`String` | `lookupJavanameForQName(QName qname)` Deprecated. replaced with `lookupJavanameForQName(QName, int)`
`String` | `lookupJavanameForQName(QName qname, int kind)` Get the java name for a QName of a specific component kind, or null.
`String` | `lookupPackageForNamespace(String uri)` Get the package name for a namespace or null.
`String` | `lookupPrefixForNamespace(String uri)` Get the prefix applied to each java name for a namespace or null.
`String` | `lookupSuffixForNamespace(String uri)` Get the suffix applied to each java name for a namespace or null.
`UserType` | `lookupUserTypeForQName(QName qname)` Returns a user defined Java type for a given QName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QNAME_TYPE

    public static final int QNAME_TYPE

See Also:
  Constant Field Values

### QNAME_DOCUMENT_TYPE

    public static final int QNAME_DOCUMENT_TYPE

See Also:
  Constant Field Values

### QNAME_ACCESSOR_ELEMENT

    public static final int QNAME_ACCESSOR_ELEMENT

See Also:
  Constant Field Values

### QNAME_ACCESSOR_ATTRIBUTE

    public static final int QNAME_ACCESSOR_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### BindingConfig

    public BindingConfig()

Method Detail

### lookupPackageForNamespace

    public String lookupPackageForNamespace(String uri)

  Get the package name for a namespace or null.

### lookupPrefixForNamespace

    public String lookupPrefixForNamespace(String uri)

  Get the prefix applied to each java name for a namespace or null.

### lookupSuffixForNamespace

    public String lookupSuffixForNamespace(String uri)

  Get the suffix applied to each java name for a namespace or null.

### lookupJavanameForQName

    public String lookupJavanameForQName(QName qname)

  Deprecated. replaced with `lookupJavanameForQName(QName, int)`

  Get the java name for a QName or null.

### lookupJavanameForQName

    public String lookupJavanameForQName(QName qname,
                                         int kind)

  Get the java name for a QName of a specific component kind, or null.

  See Also:
    `QNAME_TYPE`, `#QNAME_TYPE_DOCUMENT`, `#QNAME_METHOD_ELEMENT`, `#QNAME_METHOD_ATTRIBUTE`

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions()

  Returns all configured InterfaceExtensions or an empty array.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions(String fullJavaName)

  Returns all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.

### getPrePostExtensions

    public PrePostExtension[] getPrePostExtensions()

  Returns all configued PrePostExtensions or an empty array.

### getPrePostExtension

    public PrePostExtension getPrePostExtension(String fullJavaName)

  Returns the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.

### getUserTypes

    public UserType[] getUserTypes()

  Returns all defined user types.

### lookupUserTypeForQName

    public UserType lookupUserTypeForQName(QName qname)

  Returns a user defined Java type for a given QName.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD